Package org.flowable.cmmn.model

# Class Stage

java.lang.Object
org.flowable.cmmn.model.BaseElement
org.flowable.cmmn.model.CmmnElement
org.flowable.cmmn.model.CaseElement
org.flowable.cmmn.model.PlanItemDefinition
org.flowable.cmmn.model.PlanFragment
org.flowable.cmmn.model.Stage

All Implemented Interfaces:
  `HasExitCriteria`, `HasExtensionAttributes`, `HasLifecycleListeners`

public class Stage extends PlanFragment implements HasExitCriteria

Author:
  Joram Barrez

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `autoComplete`
  `protected String`
  `autoCompleteCondition`
  `protected String`
  `businessStatus`
  `protected Integer`
  `displayOrder`
  `protected List<Criterion>`
  `exitCriteria`
  `protected String`
  `formKey`
  `protected String`
  `includeInStageOverview`
  `protected boolean`
  `isPlanModel`
  `protected List<PlanItemDefinition>`
  `planItemDefinitionList`
  `protected Map<String,PlanItemDefinition>`
  `planItemDefinitionMap`
  `protected boolean`
  `sameDeployment`
  `protected String`
  `validateFormFields`

  ### Fields inherited from class org.flowable.cmmn.model.PlanFragment

  `caze, planItem, planItemDefinitionToItemMap, planItemMap, sentries`

  ### Fields inherited from class org.flowable.cmmn.model.PlanItemDefinition

  `defaultControl, lifecycleListeners, planItemRef`

  ### Fields inherited from class org.flowable.cmmn.model.CaseElement

  `name, parent`

  ### Fields inherited from class org.flowable.cmmn.model.CmmnElement

  `documentation, documentationTextFormat`

  ### Fields inherited from class org.flowable.cmmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Stage()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addExitCriterion(Criterion exitCriterion)`
  `void`
  `addPlanItemDefinition(PlanItemDefinition planItemDefinition)`
  `protected void`
  `addPlanItemDefinitionToMap(PlanItemDefinition planItemDefinition)`
  `PlanItemDefinition`
  `findPlanItemDefinitionInStageOrDownwards(String planItemDefinitionId)`
  `PlanItemDefinition`
  `findPlanItemDefinitionInStageOrUpwards(String planItemDefinitionId)`
  `<T extends PlanItemDefinition>
  List<T>`
  `findPlanItemDefinitionsOfType(Class<T> clazz, boolean recursive)`
  `String`
  `getAutoCompleteCondition()`
  `String`
  `getBusinessStatus()`
  `Integer`
  `getDisplayOrder()`
  `List<Criterion>`
  `getExitCriteria()`
  `String`
  `getFormKey()`
  `String`
  `getIncludeInStageOverview()`
  `Map<String,PlanItemDefinition>`
  `getPlanItemDefinitionMap()`
  `List<PlanItemDefinition>`
  `getPlanItemDefinitions()`
  `String`
  `getValidateFormFields()`
  `boolean`
  `isAutoComplete()`
  `boolean`
  `isPlanModel()`
  `boolean`
  `isSameDeployment()`
  `void`
  `setAutoComplete(boolean autoComplete)`
  `void`
  `setAutoCompleteCondition(String autoCompleteCondition)`
  `void`
  `setBusinessStatus(String businessStatus)`
  `void`
  `setDisplayOrder(Integer displayOrder)`
  `void`
  `setExitCriteria(List<Criterion> exitCriteria)`
  `void`
  `setFormKey(String formKey)`
  `void`
  `setIncludeInStageOverview(String includeInStageOverview)`
  `void`
  `setPlanItemDefinitionMap(Map<String,PlanItemDefinition> planItemDefinitionMap)`
  `void`
  `setPlanModel(boolean isPlanModel)`
  `void`
  `setSameDeployment(boolean sameDeployment)`
  `void`
  `setValidateFormFields(String validateFormFields)`

  ### Methods inherited from class org.flowable.cmmn.model.PlanFragment

  `addPlanItem, addSentry, findPlanItemForPlanItemDefinitionInPlanFragmentOrDownwards, findPlanItemForPlanItemDefinitionInPlanFragmentOrUpwards, findPlanItemInPlanFragmentOrDownwards, findPlanItemInPlanFragmentOrUpwards, findSentry, getCase, getDirectChildPlanItemsWithLifecycleEnabled, getPlanItem, getPlanItem, getPlanItems, getSentries, removePlanItem, setCase, setPlanItem, setPlanItemMap, setSentries`

  ### Methods inherited from class org.flowable.cmmn.model.PlanItemDefinition

  `getDefaultControl, getLifecycleListeners, getPlanItemRef, setDefaultControl, setLifecycleListeners, setPlanItemRef, setValues, toString`

  ### Methods inherited from class org.flowable.cmmn.model.CaseElement

  `getName, getParent, getParentStage, setName, setParent`

  ### Methods inherited from class org.flowable.cmmn.model.CmmnElement

  `getDocumentation, getDocumentationTextFormat, setDocumentation, setDocumentationTextFormat, setValues`

  ### Methods inherited from class org.flowable.cmmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.flowable.cmmn.model.HasExitCriteria

  `getId`

- ## Field Details

  - ### isPlanModel

    protected boolean isPlanModel

  - ### exitCriteria

    protected List<Criterion> exitCriteria

  - ### autoComplete

    protected boolean autoComplete

  - ### autoCompleteCondition

    protected String autoCompleteCondition

  - ### formKey

    protected String formKey

  - ### sameDeployment

    protected boolean sameDeployment

  - ### validateFormFields

    protected String validateFormFields

  - ### displayOrder

    protected Integer displayOrder

  - ### includeInStageOverview

    protected String includeInStageOverview

  - ### planItemDefinitionList

    protected List<PlanItemDefinition> planItemDefinitionList

  - ### planItemDefinitionMap

    protected Map<String,PlanItemDefinition> planItemDefinitionMap

  - ### businessStatus

    protected String businessStatus

- ## Constructor Details

  - ### Stage

    public Stage()

- ## Method Details

  - ### addPlanItemDefinition

    public void addPlanItemDefinition(PlanItemDefinition planItemDefinition)

  - ### addPlanItemDefinitionToMap

    protected void addPlanItemDefinitionToMap(PlanItemDefinition planItemDefinition)

  - ### findPlanItemDefinitionInStageOrUpwards

    public PlanItemDefinition findPlanItemDefinitionInStageOrUpwards(String planItemDefinitionId)

  - ### findPlanItemDefinitionInStageOrDownwards

    public PlanItemDefinition findPlanItemDefinitionInStageOrDownwards(String planItemDefinitionId)

  - ### findPlanItemDefinitionsOfType

    public <T extends PlanItemDefinition> List<T> findPlanItemDefinitionsOfType(Class<T> clazz, boolean recursive)

  - ### getPlanItemDefinitions

    public List<PlanItemDefinition> getPlanItemDefinitions()

  - ### getPlanItemDefinitionMap

    public Map<String,PlanItemDefinition> getPlanItemDefinitionMap()

  - ### setPlanItemDefinitionMap

    public void setPlanItemDefinitionMap(Map<String,PlanItemDefinition> planItemDefinitionMap)

  - ### isPlanModel

    public boolean isPlanModel()

  - ### setPlanModel

    public void setPlanModel(boolean isPlanModel)

  - ### isAutoComplete

    public boolean isAutoComplete()

  - ### setAutoComplete

    public void setAutoComplete(boolean autoComplete)

  - ### getAutoCompleteCondition

    public String getAutoCompleteCondition()

  - ### setAutoCompleteCondition

    public void setAutoCompleteCondition(String autoCompleteCondition)

  - ### getFormKey

    public String getFormKey()

  - ### setFormKey

    public void setFormKey(String formKey)

  - ### isSameDeployment

    public boolean isSameDeployment()

  - ### setSameDeployment

    public void setSameDeployment(boolean sameDeployment)

  - ### getValidateFormFields

    public String getValidateFormFields()

  - ### setValidateFormFields

    public void setValidateFormFields(String validateFormFields)

  - ### addExitCriterion

    public void addExitCriterion(Criterion exitCriterion)
    Specified by:
      `addExitCriterion` in interface `HasExitCriteria`

  - ### getDisplayOrder

    public Integer getDisplayOrder()

  - ### setDisplayOrder

    public void setDisplayOrder(Integer displayOrder)

  - ### getIncludeInStageOverview

    public String getIncludeInStageOverview()

  - ### setIncludeInStageOverview

    public void setIncludeInStageOverview(String includeInStageOverview)

  - ### getExitCriteria

    public List<Criterion> getExitCriteria()
    Specified by:
      `getExitCriteria` in interface `HasExitCriteria`

  - ### setExitCriteria

    public void setExitCriteria(List<Criterion> exitCriteria)
    Specified by:
      `setExitCriteria` in interface `HasExitCriteria`

  - ### getBusinessStatus

    public String getBusinessStatus()

  - ### setBusinessStatus

    public void setBusinessStatus(String businessStatus)